import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

mpg = sns.load_dataset("mpg")
iris = sns.load_dataset("iris")

iris_mod = iris[iris["species"] == "setosa"]

s_kws = {"linewidths": 2, "edgecolors": 'g', 'color': 'r', "s": 50}
p_kws = {'ls': '-.', 'lw': 3}
sns.regplot(x="sepal_length", y="sepal_width", data=iris_mod,
            scatter_kws=s_kws, line_kws=p_kws)

plt.show()
